#!/usr/bin/perl

# configure_clock.pl
# John Jacobsen, NPX Designs, Inc., jacobsen\@npxdesigns.com
# Started: Mon Dec  6 15:27:54 2004

package MY_PACKAGE;
use strict;
sub usage { return <<EOF;
Usage: $0 <internal|external>

EOF
;
}

my $pd = "/usr/local/dor/conf";
die "No configuration directory!\n" unless -d $pd;
my $cspf = "$pd/default_clock_select";

my $clock = shift;
if($clock eq "external") {
    print "Writing $cspf... ";
    open PF, ">$cspf" or die "Can't open $cspf: $!\n";
    print PF "1\n";
    close PF;
    print "Ok.\n";
} elsif($clock eq "internal") {
    print "Writing $cspf... ";
    open PF, ">$cspf" or die "Can't open $cspf: $!\n";
    print PF "0\n";
    close PF;
    print "Ok.\n";
} else {
    die usage;
}

for(</proc/driver/domhub/card?/clksel>) {
    open C, ">$_" or die "Can't open $_: $!\n";
    print C "$clock\n";
    close C;
}
__END__

