#!/usr/bin/perl


use strict;

my $do_udev = -d "/etc/udev/devices";

my $major = 92;
my $minor = 0;
# my $allminor = 128;
my $numCards     = 8;
my $pairsPerCard = 4;
my $domsPerPair  = 2;
die "Maximum of two doms per pair allowed.\n" unless $domsPerPair <= 2;
my $numDevices   = $numCards * $pairsPerCard * $domsPerPair;
foreach my $card (0..($numCards-1)) {
    foreach my $wire (0..($pairsPerCard-1)) {
	foreach my $dom (0..($domsPerPair-1)) {
	    my $file = "dhc$card"."w$wire"."d".($dom==0 ? "A": "B");
	    print "mknod /dev/$file c $major $minor\n";
	    if($do_udev) {
		print "mknod /etc/udev/devices/$file c $major $minor\n";
	    }
	    $minor++;
	}
    }
}

# print "mknod $allfile c $major $allminor\n";

print "chmod 0666 /dev/dhc*\n";
if($do_udev) {
    print "chmod 0666 /etc/udev/devices/dhc*\n";
}
