#ifndef __DOMSTATS__
#define __DOMSTATS__

typedef struct DomStatsPktStruct {
  int controlType;
  int nBadFins;
  int minRxQueueSize; /* smallest Rx queue avail size in bytes */
  int minRetxEntries; /* smallest number of Retx buffer entries */
  int minAckQueueEntries; /* smallest number of ack q entries */
  int nTxPkts;
  int nTxAckPkts;
  int nTxReackPkts;
  int nTxDataPkts;
  int nTxResentPkts;
  int nTxControlPkts;
  int nRxPkts;
  int nRxDataPkts;
  int nRxGoodDataPkts;
  int nRxAckPkts;
  int nRxDupDataPkts;
  int nRxDupAcks;
  int nRxGoodAcks;
  int nRxControlPkts;
  int nRxDroppedPkts;
  int nRxBadPkts;
  int nInvalidPostIC;
} DomStatsPkt;

#endif
